compiling error

Evan Vigil-McClanahan emcclanahan at basho.com
Thu Jun 26 14:12:58 EDT 2014


No.  A fair amount of work went into R16 compatibility, and it was
never ported to the 1.4 branch.  A set of patches exists, but I have
no idea if it would apply cleanly.  Best to just use a packaged
version of the application, which will come with its own version of
erlang.

On Thu, Jun 26, 2014 at 11:04 AM, darkchanter <omsecmsn at hotmail.com> wrote:
> Hello
> I am trying to compile the Riak 1.4.9 sources on openSuSE 13.1 against
> Erlang R16. I know this version of the Erlang VM is not officially
> supported, but I still changed the regex expression in rebar.config, since I
> read it's not a problem.
>
> Now it seems that a crypto class in an Erlang source file is deprecated:
>
> /home/roger/riak/riak-1.4.9/deps/riak_core/src/chash.erl:105: crypto:sha/1
> is deprecated and will be removed in in a future release; use crypto:hash/2
> ERROR: compile failed while processing
> /home/roger/riak/riak-1.4.9/deps/riak_core: rebar_abort
> make: *** [compile] Error 1
>
> Is there any chance to get around this?
>
> Roger
>
>
>
> --
> View this message in context: http://riak-users.197444.n3.nabble.com/compiling-error-tp4031280.html
> Sent from the Riak Users mailing list archive at Nabble.com.
>
> _______________________________________________
> riak-users mailing list
> riak-users at lists.basho.com
> http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com




More information about the riak-users mailing list